## network-manager 0.8.1

=== debian/changelog ===
network-manager (0.8.1-6+squeeze2) stable; urgency=low

  * debian/patches/84-CVE-2012-2736.patch
    - Disable Ad-Hoc WPA connections as the kernel is broken for Ad-Hoc WPA,
      and creates the connections as open connections instead.
    - Fixes CVE-2012-2736. (Closes: #655972)

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Aug 2012 20:57:08 +0200

network-manager (0.8.1-6+squeeze1) stable; urgency=low

  * debian/patches/82-core-handle-device-removal.patch
    - Cherry-pick patch from upstream to correctly handle device removal when
      properties are unreadable. (Closes: #605570)
  * debian/patches/83-dnsmasq-send-no-config-file-instead-of-a-bogus-one.patch
    - Newer versions of dnsmasq validate the option parameters more strictly.
      Instead of passing a bogus file name simply use --conf-file without
      additional parameters. (Closes: #615082)
  * debian/ifblacklist_migrate.sh
    - Only comment out iface lines if we have an exact match for the network
      interface. (Closes: #612247)
  * debian/patches/51-normalized-keys.patch
    - Normalize keys in ifupdown parser, so we accept options with either
      hyphens or underscores, like e.g. bridge_ports and bridge-ports.
      (Closes: #609831)

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Mar 2011 14:49:51 +0100

network-manager (0.8.1-6) unstable; urgency=low

  * debian/patches/40-umanaged-interfaces.patch
    - For devices to be marked unmanaged, do not require a valid connection
      configuration. (Closes: #569215)
  * debian/patches/50-bridge-interfaces.patch
    - Parse bridge configurations in /etc/network/interfaces and add
      interfaces defined via bridge_ports to well_known_interfaces. This
      allows to mark those interfaces as unmanaged if managed=false.
      The "all" keyword and regexes are not supported and simply skipped.
      (Closes: #530335)

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Dec 2010 17:11:13 +0100

network-manager (0.8.1-5) unstable; urgency=low

  * Update Vcs-* fields: Move packaging from svn to git.
  * Don't try the interfaces migration if /etc/network/interfaces does not
    exist. This avoids a failure on remove. (Closes: #605360)

 -- Michael Biebl <biebl@debian.org>  Mon, 29 Nov 2010 15:06:21 +0100

network-manager (0.8.1-4) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Integrate debian/ifblacklist_migrate.sh from Ubuntu and install
    it in /usr/lib/NetworkManager. Improve it to disable the interfaces
    with a #NetworkManager# prefix and re-enable them when the package is
    removed. (Closes: #530024)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 23:28:19 +0100

network-manager (0.8.1-3) unstable; urgency=low

  * debian/control
    - Drop Recommends: network-manager-gnome | network-manager-kde, as this
      can have unwanted side-effects, like GNOME packages being installed on
      a KDE desktop. Instead let the desktop meta packages depend on their
      preferred frontend. (Closes: #596233)
    - Add Breaks: ppp (<< 2.4.5) to avoid partial upgrades. (Closes: #592444)
  * debian/network-manager.README.Debian
    - Add a section briefly explaining system settings and add references to
      the online documentation and the system settings spec. (Closes: #594849)
  * debian/patches/30-typo_fix.patch
    - Fix a small typo in README, and while at it, in other files too.
      Thanks Christian Perrier for spotting it. (Closes: #594850)

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Sep 2010 03:31:48 +0200

network-manager (0.8.1-2) unstable; urgency=medium

  * Move configuration file /etc/NetworkManager/nm-system-settings.conf to
    /etc/NetworkManager/NetworkManager.conf. Update maintainer scripts to move
    the conffile without triggering a dpkg prompt.
  * debian/network-manager.postrm
    - Don't fail on purge if /var/lib/NetworkManager directory does not exist.
      (Closes: #591861)
  * debian/patches/10-dont_require_ifup_for_lo.patch
    - Don't require ifup for enabling the loopback interface but use it if
      installed. Patch cherry-picked from upstream Git.
  * debian/control
    - Drop dependency on ifupdown as we have a fallback now for enabling the
      loopback interface. (Closes: #580309)

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Aug 2010 04:19:38 +0200

network-manager (0.8.1-1) unstable; urgency=low

  * New upstream release. (Closes: #590139)
  * debian/patches/30-fix_paths_for_isc_dhcp_v4.patch
    - Remove, merged upstream.
  * Build against ppp 2.4.5. (Closes: #589791)
    - Bump Build-Depends on ppp to (>= 2.4.5).
    - Bump Recommends on ppp to (>= 2.4.5).
    - Drop --with-pppd-plugin-dir configure option and use upstream default.
  * debian/network-manager.postrm
    - Clean up /var/lib/NetworkManager on purge. (Closes: #584854)
  * debian/control
    - Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Jul 2010 02:26:59 +0200

network-manager (0.8.0.999-1) unstable; urgency=low

  * New upstream release (0.8.1 rc1). (Closes: #582822)
    - Bluetooth Dial-Up Networking support.
    - Command line interface via nmcli.
    - IPv6 DHCP support.
    - Correctly reset state after a failed suspend/resume cycle.
      (Closes: #566891)
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * debian/libnm-{glib2,util1}.symbols
    - Update symbols files for new API additions.
  * debian/network-manager.{install,manpages}
    - Install nmcli binary and man page.
  * debian/libnm-{glib,util}-dev.install
    - Install gtk-doc API documentation for libnm-glib and libnm-util.
    - Install nm-dhcp6-config.h for libnm-glib.
  * debian/control
    - Add Depends on libdbus-glib-1-dev for libnm-util-dev.
    - Bump Standards-Version to 3.9.0. No further changes.
    - Update Depends on dhcp3-client to isc-dhcp-client (>= 4.1.1-P1-4) to get

