## network-manager 0.8.4.0

=== debian/changelog ===
network-manager (0.8.4.0-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Michael Biebl <biebl@debian.org>  Sun, 29 May 2011 23:32:23 +0200

network-manager (0.8.4.0-2) unstable; urgency=low

  * Update package descriptions.
  * debian/network-manager-dispatcher.script
    - Handle dhcp4-change and dhcp6-change events (by doing nothing). This
      prevents the 01ifupdown dispatcher script from logging an error on DHCP
      lease changes. (Closes: #628154)

 -- Michael Biebl <biebl@debian.org>  Sun, 29 May 2011 22:22:08 +0200

network-manager (0.8.4.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Apr 2011 11:05:42 +0200

network-manager (0.8.3.999-1) unstable; urgency=low

  * New upstream release (0.8.4 rc2).
  * Update debian/watch, switch to bzip2.
  * Use dh_installinit -R instead of -r and stopping manually in postinst.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2011 23:06:53 +0200

network-manager (0.8.3.998-1) unstable; urgency=low

  * New upstream release (0.8.4 rc1).
    - Store connection timestamps for system connections in
      /var/lib/NetworkManager. (Closes: #612424)
    - Send hostname when using DHCP. (Closes: #561532)
  * Bump debhelper compatibility level to 8.
  * Remove patches (merged upstream)
    - d/p/40-umanaged-interfaces.patch
    - d/p/50-bridge-interfaces.patch
    - d/p/51-normalized-keys.patch
    - d/p/60-policy-stop-touching-etc-hosts.patch
    - d/p/70-install-nm-online.patch
    - d/p/80-keyfile-ignore-temporary-files.patch
    - d/p/81-keyfile-quiet-keyfile-plugin-when-re-read-connection.patch
    - d/p/82-core-handle-device-removal.patch
    - d/p/83-dnsmasq-send-no-config-file-instead-of-a-bogus-one.patch
  * Update debian/libnm-glib2.symbols and debian/libnm-util1.symbols.
  * Update debian/network-manager-dev.install, install nm-version.h.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Mar 2011 20:55:36 +0100

network-manager (0.8.2-6) unstable; urgency=medium

  * debian/patches/83-dnsmasq-send-no-config-file-instead-of-a-bogus-one.patch
    - Newer versions of dnsmasq validate the option parameters more strictly.
      Instead of passing a bogus file name simply use --conf-file without
      additional parameters. (Closes: #615082)
  * debian/control
    - Remove old Conflicts/Replaces which were required for upgrades to
      squeeze.
    - Bump Breaks against network-manager-gnome to (<< 0.8.2) to avoid
      partial upgrades which can lead to problems with user settings for
      ethernet connections. (Closes: #612291)
  * debian/ifblacklist_migrate.sh
    - Only comment out iface lines if we have an exact match for the network
      interface. (Closes: #612247)
  * debian/patches/51-normalized-keys.patch
    - Normalize keys in ifupdown parser, so we accept options with either
      hyphens or underscores, like e.g. bridge_ports and bridge-ports.
      (Closes: #609831)

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Mar 2011 20:59:46 +0100

network-manager (0.8.2-5) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Feb 2011 15:29:32 +0100

network-manager (0.8.2-4) experimental; urgency=low

  * Cherry-pick patch from upstream to correctly handle device removal when
    properties are unreadable. (Closes: #605570)

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Jan 2011 16:59:37 +0100

network-manager (0.8.2-3) experimental; urgency=low

  * Cherry-pick two patches from upstream Git to make the keyfile plugin
    ignore temporary files and be more quiet when re-reading connections which
    have not changed.
  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
    - Convert debian/rules to use dh.
    - Add debian/network-manager.docs.
  * Enable systemd support
    - Install NetworkManager.service unit file in /lib/systemd/system.
    - Add --with-systemdsystemunitdir=/lib/systemd/system to configure flags.
    - Add debian/patches/03-systemd.patch containing Debian specific tweaks
      for the NetworkManager.service unit file.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Dec 2010 04:28:04 +0100

network-manager (0.8.2-2) experimental; urgency=low

  * Fix installation of nm-online.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 12:49:50 +0100

network-manager (0.8.2-1) experimental; urgency=low

  * New upstream release.
    - Set timestamp for system connections. (Closes: #509817)
  * Remove patches, merged upstream
    - debian/patches/10-dont_require_ifup_for_lo.patch
    - debian/patches/30-typo_fix.patch
  * debian/libnm-{glib2,util1}.symbols
    - Update symbols files for new API additions.
  * Make sure gtk-doc API documentation is built
    - Add Build-Depends on gtk-doc-tools.
    - Add --with-docs configure option.
  * debian/network-manager.preinst
    - Remove pre-lenny conffile upgrade code.
  * debian/network-manager.{install,manpages}
    - Install nm-online binary and man page.
  * debian/patches/02-dbus_access_network_manager.patch
    - Update policy for group netdev based on upstream changes for at_console.
  * debian/patches/60-policy-stop-touching-etc-hosts.patch
    - Stop touching /etc/hosts. Rely on the debian installer to setup
      /etc/hosts so the hostname is resolvable. Patch cherry-picked from
      upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 06:47:11 +0100
