=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--with-distro=debian \
		--with-resolvconf=/sbin/resolvconf \
		--with-dhclient=/sbin/dhclient \
		--with-iptables=/sbin/iptables \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-crypto=gnutls \
		--disable-more-warnings \
		--with-docs

override_dh_install:
	dh_install --list-missing
	install -m 755 debian/network-manager-dispatcher.script \
		debian/network-manager/etc/NetworkManager/dispatcher.d/01ifupdown
	install -m 755 debian/ifblacklist_migrate.sh \
		debian/network-manager/usr/lib/NetworkManager

override_dh_installinit:
	dh_installinit -pnetwork-manager -R -- start 26 2 3 4 5 . stop 88 0 1 6 .

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/NetworkManager/ -X/usr/lib/pppd/

override_dh_strip:
	dh_strip --dbg-package=network-manager-dbg

override_dh_auto_test:
