## network-manager 0.9.1.90

=== debian/changelog ===
network-manager (0.9.1.90-0ubuntu3) oneiric; urgency=low

  * debian/patches/nl3-default-ip6-route.patch: set destination for default
    gateway as an all-zero in6_addr rather than NULL (since libnl3 requires
    setting a destination). (LP: #856209)
  * debian/patches/manual-ip6-manager.patch: provide an unused but set ipv6
    manager object so manual routes are torn down when a device is deactivated.
  * debian/patches/dhcpv6-duid-support.patch: update to avoid spewing out debug
    messages as warnings/info.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 06 Oct 2011 15:03:22 -0400

network-manager (0.9.1.90-0ubuntu2) oneiric; urgency=low

  * debian/patches/libnl3-cache-args.patch: unbreak setting route priorities,
    which will also unbreak cases where connections fails when  wired and wifi
    are connected to the same network. (LP: #856333)
  * debian/patches/dhcpv6-duid-support.patch: support handling DUIDs for DHCPv6
    requests, as defined by RFC 3315, section 9. (LP: #849994)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 28 Sep 2011 11:59:27 -0400

network-manager (0.9.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #855592)
    - core: print textual desc for reason codes on device deactivation too
    - supplicant: Don't leak secrets, even if they're probably invalid
    - core: storing timestamps also for VPN connections (rh #725353)
    - wifi: remove some dead code
    - ppp: pass novj through to pppd
    - monitor: Use nl_socket_alloc() instead of nl_socket_alloc_cb()
    - core: Fix check for failure in translating link name to ifindex
    - netlink: fix flags use in nm_netlink_route_add
    - core: Fix leaks if address parsing fails while setting mac
    - core: fix leaked address structure after parsing mac address
    - ip6: various leak fixes and sanity checks
    - keyfile: fix two bugs for updating/writting a keyfile
    - sharing: fix handling of rule negation (debian #638995)
    - cli: print 'Permissions' property of NMSettingConnection setting
    - cli: add missing GSM bands for GSM setting
    - cli: add 'nmcli con delete' command for removing configured connections
    - cli: nm_access_point_get_bssid instead of nm_access_point_get_hw_address
    - dnsmasq: use '@interface' for link-local DNS servers in dnsmasq config
    - settings: preserve agent secrets the right way
  * debian/patches/libnl3-support-0fe8c80.patch: dropped, included upstream.
  * debian/libnm-util2.symbols: add new secrets symbols:
    - nm_connection_clear_secrets_with_flags
    - nm_settings_clear_secrets_with_flags
  * debian/patches/ipv6-dont-block-ipv4.patch: refreshed, rework to follow
    upstream review and recommendations.
  * debian/patches/lp767868_refcount_default_wired_512a0f8.patch: correct ref
    counting of the default wired connection when it's re-saved once changed
    from the original default values. (LP: #767868)
  * debian/patches/secrets_delete_conn_leak_e39449c.patch: cherry-pick upstream
    fix of a leak of the connection object when secrets are deleted for a
    connection.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 22 Sep 2011 12:08:51 -0400

network-manager (0.9.0-0ubuntu3) oneiric; urgency=low

  * debian/patches/lp761558_default_ip6_setting_auto.patch: disable the patch,
    it causes an issue with mobile broadband connections. (LP: #840082)
    Reopens LP: #761558.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 08 Sep 2011 17:02:34 -0400

network-manager (0.9.0-0ubuntu2) oneiric; urgency=low

  * debian/patches/lp761558_default_ip6_setting_auto.patch: default to AUTO for
    IPv6 method if the setting is missing (e.g. default new connection for new
    devices). (LP: #761558)
  * debian/patches/libnl3-support-0fe8c80.patch: fix nm_netlink_route_add() to
    take into account flags already passed (e.g. for replacing routes).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 02 Sep 2011 10:28:15 -0400

network-manager (0.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches/libnl3-support-0fe8c80.patch: replace libnl3-port.patch; use
    a cherry-pick from upstream with the same changes.
  * debian/patches/lp120363_smartcard_pkcs11.patch: dropped, it's high effort
    to maintain across releases, essentially needs to be re-done, and doesn't
    even appear to work. (Reopens: #120363).
  * debian/libnm-util2.symbols: fixup 802.1x symbols:
    - remove symbols coming from lp120363_smartcard_pkcs11.patch.
    - add new 802.1x subject/altsubject handling symbols from 0.9.0.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 24 Aug 2011 10:39:40 -0400

network-manager (0.8.9997+git.20110721t045648.36db194-0ubuntu2) oneiric; urgency=low

  * debian/control: bump libnl Build-Depends to libnl3-dev.
  * debian/patches/libnl3-port.patch: backport changes from NM's libnl3 git
    branch to port to libnl3 APIs.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 08 Aug 2011 10:17:28 -0400

network-manager (0.8.9997+git.20110721t045648.36db194-0ubuntu1) oneiric; urgency=low

  * upstream snapshot 2011-07-21 04:56:48 (GMT)
    + 36db194ae95e35cc7b8f431ab984780dea24656d
    - libnm-util: default to allowing v6 connections to fail (set to optional)
  * debian/patches/ipv6-dont-block-ipv4.patch: don't block waiting for IPv6 to
    apply IPv4 connection settings.
  * debian/libnm-glib4.symbols: add new nm_client_get_device_by_iface symbol.
  * debian/libnm-util2.symbols: add new symbols:
    - nm_setting_wired_get_mac_address_blacklist
    - nm_setting_wireless_get_mac_address_blacklist

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 25 Jul 2011 20:01:12 -0400

network-manager (0.8.9997+git.20110614t173923.b4a72d1-0ubuntu1) oneiric; urgency=low

  * upstream snapshot 2011-06-14 17:39:23 (GMT)
    + b4a72d1ad794aef4c623fd530fc38ceb9b95456d
    - libnm-glib: fix crash for AddAndActivateConnection (LP: #795871)


