=== debian/control ===
--- 
+++ 
@@ -1,28 +1,35 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Dev Team <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends:
  debhelper (>= 8),
+ dh-autoreconf,
  autotools-dev,
  pkg-config,
  intltool,
  libdbus-glib-1-dev (>= 0.75),
  libdbus-1-dev (>= 1.1),
  libiw-dev(>= 27+28pre9),
- libglib2.0-dev (>= 2.18),
- libnl-dev (>= 1.0~pre8),
+ libglib2.0-dev (>= 2.22),
+ libnl3-dev,
  ppp-dev (>= 2.4.5),
  libpolkit-gobject-1-dev,
- libgnutls-dev,
+ libnss3-dev,
  uuid-dev,
- libudev-dev,
+ libudev-dev (>= 147),
  libgudev-1.0-dev,
- gtk-doc-tools
+ libnotify-dev (>= 0.3),
+ isc-dhcp-client (>= 4.1.1-P1-4),
+ gtk-doc-tools,
+ libgirepository1.0-dev (>= 0.9.12),
+ gobject-introspection (>= 0.9.12-4~),
+ gir1.2-glib-2.0,
+ gir1.2-freedesktop
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-utopia/network-manager.git
-Vcs-Browser: http://git.debian.org/?p=pkg-utopia/network-manager.git;a=summary
+Vcs-Bzr: https://code.launchpad.net/~network-manager/network-manager/ubuntu.head
 Homepage: http://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager
@@ -31,12 +38,15 @@
  ${shlibs:Depends},
  ${misc:Depends},
  lsb-base (>= 3.2-14),
- wpasupplicant (>= 0.6.2-1),
+ wpasupplicant (>= 0.7.3-1),
  dbus (>= 1.1.2),
  udev,
- adduser,
- isc-dhcp-client (>= 4.1.1-P1-4)
+ isc-dhcp-client (>= 4.1.1-P1-4),
+ iproute,
+ iputils-arping
 Recommends:
+ network-manager-pptp,
+ network-manager-gnome | network-manager-kde | plasma-widget-networkmanagement,
  policykit-1,
  ppp (>= 2.4.5),
  dnsmasq-base,
@@ -44,11 +54,11 @@
  modemmanager
 Suggests: avahi-autoipd
 Breaks:
- network-manager-gnome (<< 0.8.2),
+ network-manager-gnome (<< 0.8.99),
  network-manager-kde (<< 1:0.9~~),
- network-manager-openvpn (<< 0.8),
- network-manager-vpnc (<< 0.8),
- network-manager-pptp (<< 0.8),
+ network-manager-openvpn (<< 0.8.99),
+ network-manager-vpnc (<< 0.8.99),
+ network-manager-pptp (<< 0.8.99),
  ppp (<< 2.4.5)
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
@@ -73,10 +83,17 @@
 Section: devel
 Depends: ${misc:Depends}
 Description: network management framework (development files)
- this package provides header files that are needed to
+ NetworkManager attempts to keep an active network connection available at all
+ times. It is intended only for the desktop use-case, and is not intended for
+ usage on servers. The point of NetworkManager is to make networking
+ configuration and setup as painless and automatic as possible.  If using DHCP,
+ NetworkManager is _intended_ to replace default routes, obtain IP addresses
+ from a DHCP server, and change nameservers whenever it sees fit.
+ .
+ This package provides header files that are needed to 
  compile VPN Plugins for NetworkManager.
 
-Package: libnm-glib2
+Package: libnm-glib4
 Section: libs
 Architecture: any
 Depends:
@@ -96,7 +113,8 @@
 Section: libdevel
 Architecture: any
 Depends:
- libnm-glib2 (= ${binary:Version}),
+ libnm-glib4 (= ${binary:Version}),
+ gir1.2-networkmanager-1.0 (= ${binary:Version}),
  ${misc:Depends},
  libnm-util-dev,
  network-manager-dev,
@@ -145,7 +163,7 @@
  This package provides the shared library that applications can use for
  creating VPN connections via NetworkManager.
 
-Package: libnm-util1
+Package: libnm-util2
 Section: libs
 Architecture: any
 Depends:
@@ -165,7 +183,8 @@
 Section: libdevel
 Architecture: any
 Depends:
- libnm-util1 (= ${binary:Version}),
+ libnm-util2 (= ${binary:Version}),
+ gir1.2-networkmanager-1.0 (= ${binary:Version}),
  ${misc:Depends},
  libglib2.0-dev,
  libdbus-glib-1-dev
@@ -183,7 +202,7 @@
 Section: debug
 Priority: extra
 Depends:
- network-manager (= ${binary:Version}) | libnm-util1 (= ${binary:Version}) | libnm-glib2 (= ${binary:Version}) | libnm-glib-vpn1 (= ${binary:Version}),
+ network-manager (= ${binary:Version}) | libnm-util2 (= ${binary:Version}) | libnm-glib4 (= ${binary:Version}) | libnm-glib-vpn1 (= ${binary:Version}),
  ${misc:Depends}
 Description: network management framework (debugging symbols)
  NetworkManager is a system network service that manages your network devices
@@ -193,3 +212,20 @@
  services.
  .
  This package contains detached debugging symbols.
+
+Package: gir1.2-networkmanager-1.0
+Section: libs
+Architecture: any
+Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: GObject introspection data for NetworkManager
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains introspection data for NetworkManager.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+
